package org.springblade.config;

import com.google.common.collect.Maps;
import me.zhyd.oauth.config.AuthConfig;
import me.zhyd.oauth.config.AuthDefaultSource;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class SocialProperties {

	private Boolean enabled = false;
	private String domain;
	private Map<AuthDefaultSource, AuthConfig> oauth = Maps.newHashMap();
	private Map<String, String> alias = Maps.newHashMap();

	public SocialProperties() {
	}

	public Boolean getEnabled() {
		return this.enabled;
	}

	public String getDomain() {
		return this.domain;
	}

	public Map<AuthDefaultSource, AuthConfig> getOauth() {
		return this.oauth;
	}

	public Map<String, String> getAlias() {
		return this.alias;
	}

	public void setEnabled(final Boolean enabled) {
		this.enabled = enabled;
	}

	public void setDomain(final String domain) {
		this.domain = domain;
	}

	public void setOauth(final Map<AuthDefaultSource, AuthConfig> oauth) {
		this.oauth = oauth;
	}

	public void setAlias(final Map<String, String> alias) {
		this.alias = alias;
	}
}
